- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Eio_Progress Struct Reference

Represents the current progress of the operation. More...

## Data Fields
Eio_File_Op | op
| I/O type.
long long | current
| Current step in the I/O operation.
long long | max
| Number of total steps to complete this I/O.
float | percent
| Percent done for the I/O operation.
const char * | source
| source of the I/O operation
const char * | dest
| target of the I/O operation

## Detailed Description

Represents the current progress of the operation.